Bug 235006 - When editting saved query, the "negate this whole chart" flag is not preserved.
When editting saved query, the "negate this whole chart" flag is not preserved.
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2007-04-03 04:08 EDT by Jan Pazdziora
Modified: 2013-06-23 22:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-17 02:49:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2007-04-03 04:08:13 EDT
Description of problem:

I have a query "Bugs that do not block anybody (bad)". In it I use Advanced
Searching Using Boolean Charts with

"Not (negate this whole chart)"
"OtherBugsDependingOnThis is greater than 0"

The query runs just fine when I click its name in the list of Preset Queries.

However, when I then click Edit Search, the "Not (negate this whole chart)"
checkbox is not checked, so the subsequent Search gives different results than
the original stored query.

I've now verified that the same problem is with queries that were not saved.

Version-Release number of selected component (if applicable):

2.18-rh as of today.

How reproducible:


Steps to Reproduce:
1. Go to create a new advanced query.
2. In it, use "negate this whole chart" flag.
3. Execute the query, behappy about the results.
4. Click Edit Search
Actual results:

The flag is not preserved and subsequent Search will probably give different

Expected results:

Checkbox still checked and the Search result the same.

Additional info:
Comment 1 David Lawrence 2008-09-16 12:55:15 EDT
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.
Comment 2 Jan Pazdziora 2008-09-17 02:49:01 EDT
This seems to work fine, the "Not (negate this whole chart)" is stays there.


Note You need to log in before you can comment on or make changes to this bug.